## fcitx-googlepinyin 0.1.2

=== CMakeLists.txt ===
project(fcitx-googlepinyin)
cmake_minimum_required(VERSION 2.6)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
FIND_PACKAGE(Gettext REQUIRED)
FIND_PACKAGE(Fcitx REQUIRED)
FIND_PACKAGE(Libintl REQUIRED)
FIND_PACKAGE(Libiconv REQUIRED)

# uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

if(NOT DEFINED LIB_INSTALL_DIR)
    set(LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib)
endif()

include(FindPkgConfig)

set(prefix      ${CMAKE_INSTALL_PREFIX})
set(exec_prefix ${CMAKE_INSTALL_PREFIX})
set(bindir ${prefix}/bin)
set(libdir ${LIB_INSTALL_DIR})
set(localedir ${CMAKE_INSTALL_PREFIX}/share/locale)
set(includedir  ${CMAKE_INSTALL_PREFIX}/include)
set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")
configure_file(config.h.in config.h)

set(libdir ${LIB_INSTALL_DIR})

add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(po)

=== debian/changelog ===
fcitx-googlepinyin (0.1.2-1) unstable; urgency=low

  * Initial release (Closes: #633108)

 -- Aron Xu <aron@debian.org>  Fri, 20 Sep 2011 19:28:36 +0800

=== debian/control ===
Source: fcitx-googlepinyin
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>
Build-Depends: debhelper (>= 8), cmake, intltool, pkg-config,
 fcitx-libs-dev, libgooglepinyin-dev
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/fcitx
Vcs-Git: git://git.debian.org/pkg-ime/fcitx-googlepinyin.git
Vcs-Browser: http://git.debian.org/?p=pkg-ime/fcitx-googlepinyin.git

Package: fcitx-googlepinyin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-bin, 
  fcitx-data (>= 1:4.1.1), fcitx-modules
Recommends: fcitx (>= 1:4.1.1)
Breaks: fcitx (<< 1:4.1.1)
Description: Fcitx wrapper for Google Pinyin IM engine
 fcitx-googlepinyin is a wrapper of Google Pinyin IM engine for Fcitx.
 .
 Google Pinyin is a fork of Google Pinyin on Android, it features
 to have excellent input experience and uses little resource.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ 
override_dh_makeshlibs:

## fcitx-googlepinyin 0.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 FIND_PACKAGE(Gettext REQUIRED)
-FIND_PACKAGE(Fcitx REQUIRED)
+FIND_PACKAGE(Fcitx  4.1.2 REQUIRED)
 FIND_PACKAGE(Libintl REQUIRED)
 FIND_PACKAGE(Libiconv REQUIRED)

=== data/CMakeLists.txt ===
fcitx_add_addon_conf_file(fcitx-googlepinyin.conf)
fcitx_add_configdesc_file(fcitx-googlepinyin.desc)

=== po/CMakeLists.txt ===
set(PO_FILES zh_CN.po)
file(RELATIVE_PATH REL_SOURCE_ROOT ${PROJECT_BINARY_DIR} ${PROJECT_SOURCE_DIR})
if ("${REL_SOURCE_ROOT}" STREQUAL "")
    set(REL_SOURCE_ROOT ".")
endif("${REL_SOURCE_ROOT}" STREQUAL "")

set(POT_FILE fcitx-googlepinyin.pot)

configure_file(POTFILES.in.in ${CMAKE_CURRENT_BINARY_DIR}/POTFILES.in)

extract_fcitx_addon_conf_postring()

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/desc.po
                   COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/getdescpo ${PROJECT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                   DEPENDS getdescpo)

add_custom_target(
    pot
    COMMAND INTLTOOL_EXTRACT=${INTLTOOL_EXTRACT} srcdir=${CMAKE_CURRENT_BINARY_DIR} ${INTLTOOL_UPDATE} --gettext-package fcitx-googlepinyin --pot
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/conf.po ${CMAKE_CURRENT_BINARY_DIR}/desc.po
    )

# Update .po files and compile them to binary .gmo files
gettext_create_translations(${POT_FILE} ALL ${PO_FILES})

=== debian/changelog ===
fcitx-googlepinyin (0.1.3-3) unstable; urgency=low

  [ Aron Xu ]
  * debian/patches/01-change_data_path.patch:
    - Updated, patch the build system to make it find the real path.

 -- YunQiang Su <wzssyqa@gmail.com>  Mon, 05 Dec 2011 00:12:40 +0800

fcitx-googlepinyin (0.1.3-2) unstable; urgency=low

  * debian/patches/01-change_data_path.patch:
    + Change the data's path, per Policy 9.1.1 (Closes: #646958).
  * debian/control: 
    + Build-Depends on libgooglepinyin-dev (>= 0.1.1+hg20111109).

 -- Aron Xu <aron@debian.org>  Sat, 19 Nov 2011 01:26:07 +0800

fcitx-googlepinyin (0.1.3-1) unstable; urgency=low

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Mon, 03 Oct 2011 01:03:21 +0800

=== debian/control ===
Source: fcitx-googlepinyin
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8), cmake, intltool, pkg-config,
 fcitx-libs-dev, libgooglepinyin0-dev (>= 0.1.1+hg20111109)
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/fcitx
Vcs-Git: git://git.debian.org/pkg-ime/fcitx-googlepinyin.git
Vcs-Browser: http://git.debian.org/?p=pkg-ime/fcitx-googlepinyin.git

Package: fcitx-googlepinyin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-bin, 
  fcitx-data (>= 1:4.1.2), fcitx-modules, libgooglepinyin0-dev (>= 0.1.1+hg20111109)
Recommends: fcitx (>= 1:4.1.2)
Breaks: fcitx (<< 1:4.1.2)
Description: Fcitx wrapper for Google Pinyin IM engine
 fcitx-googlepinyin is a wrapper of Google Pinyin IM engine for Fcitx.
 .
 Google Pinyin is a fork of Google Pinyin on Android, it features
 to have excellent input experience and uses little resource.

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ 
override_dh_auto_configure:
	dh_auto_configure
override_dh_makeshlibs:

## fcitx-googlepinyin 0.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 project(fcitx-googlepinyin)
 cmake_minimum_required(VERSION 2.6)
 
-set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
+set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 FIND_PACKAGE(Gettext REQUIRED)
-FIND_PACKAGE(Fcitx  4.1.2 REQUIRED)
+FIND_PACKAGE(Fcitx  4.2.0 REQUIRED)
 FIND_PACKAGE(Libintl REQUIRED)
 FIND_PACKAGE(Libiconv REQUIRED)

=== src/CMakeLists.txt ===
PKG_CHECK_MODULES(GOOGLEPINYIN "googlepinyin >= 1.0" REQUIRED )

set(FCITX_GOOGLEPINYIN_SRCS
    eim.cpp
    config.cpp
)

include_directories(
    ${PROJECT_BINARY_DIR}
    ${GOOGLEPINYIN_INCLUDE_DIRS}
    ${LIBINTL_INCLUDE_DIR}
    ${LIBICONV_INCLUDE_DIR}
    ${FCITX4_FCITX_INCLUDE_DIRS}
    ${FCITX4_FCITX_CONFIG_INCLUDE_DIRS}
    ${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
)

link_directories(${GOOGLEPINYIN_LIBRARY_DIRS})

add_definitions( -DLOCALEDIR=\"${CMAKE_INSTALL_PREFIX}/share/locale\" )

fcitx_add_addon(fcitx-googlepinyin ${FCITX_GOOGLEPINYIN_SRCS})
target_link_libraries(fcitx-googlepinyin
                      ${GOOGLEPINYIN_LIBRARIES}
                      ${LIBICONV_LIBRARIES}
                      ${LIBINTL_LIBRARIES}
                      )

=== debian/changelog ===
fcitx-googlepinyin (0.1.4-2) unstable; urgency=low

  * Build-Dep on fcitx-libs-dev (>= 1:4.2.0)
    instead (>= 4.2.0).

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 08 Feb 2012 01:29:11 +0800

fcitx-googlepinyin (0.1.4-1) unstable; urgency=low

  * New upstream release: for fcitx 4.2.0 and 
  	libgooglepinyin 0.1.2.

 -- YunQiang Su <wzssyqa@gmail.com>  Sun, 05 Feb 2012 20:57:21 +0800

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 8), cmake, intltool, pkg-config,
- fcitx-libs-dev, libgooglepinyin0-dev (>= 0.1.1+hg20111109)
+ fcitx-libs-dev (>= 1:4.2.0), libgooglepinyin0-dev (>= 0.1.2~)
 Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/fcitx
 Vcs-Git: git://git.debian.org/pkg-ime/fcitx-googlepinyin.git
@@ -14,9 +14,9 @@
 Package: fcitx-googlepinyin
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-bin, 
-  fcitx-data (>= 1:4.1.2), fcitx-modules, libgooglepinyin0-dev (>= 0.1.1+hg20111109)
-Recommends: fcitx (>= 1:4.1.2)
-Breaks: fcitx (<< 1:4.1.2)
+  fcitx-data (>= 1:4.2.0), fcitx-modules, libgooglepinyin0-dev (>= 0.1.2)
+Recommends: fcitx (>= 1:4.2.0)
+Breaks: fcitx (<< 1:4.2.0)
 Description: Fcitx wrapper for Google Pinyin IM engine
  fcitx-googlepinyin is a wrapper of Google Pinyin IM engine for Fcitx.
  .

=== debian/watch ===
version=3
http://googlecode.debian.net/p/fcitx/fcitx-googlepinyin-(\d+.*)\.tar\.gz

## fcitx-googlepinyin 0.1.5

=== data/CMakeLists.txt ===
fcitx_add_addon_conf_file(fcitx-googlepinyin.conf)
fcitx_add_configdesc_file(fcitx-googlepinyin.desc)

fcitx_add_inputmethod_conf_file(googlepinyin.conf)

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-set(PO_FILES zh_CN.po)
+file(GLOB PO_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.po)
 file(RELATIVE_PATH REL_SOURCE_ROOT ${PROJECT_BINARY_DIR} ${PROJECT_SOURCE_DIR})
 if ("${REL_SOURCE_ROOT}" STREQUAL "")
     set(REL_SOURCE_ROOT ".")

=== src/CMakeLists.txt ===
set(FCITX_GOOGLEPINYIN_SRCS
    eim.cpp
    config.cpp
)

include_directories(
    ${PROJECT_BINARY_DIR}
    ${GOOGLEPINYIN_INCLUDE_DIR}
    ${LIBINTL_INCLUDE_DIR}
    ${LIBICONV_INCLUDE_DIR}
    ${FCITX4_FCITX_INCLUDE_DIRS}
    ${FCITX4_FCITX_CONFIG_INCLUDE_DIRS}
    ${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
)

fcitx_add_addon(fcitx-googlepinyin ${FCITX_GOOGLEPINYIN_SRCS})
target_link_libraries(fcitx-googlepinyin
                      ${GOOGLEPINYIN_LIBRARIES}
                      ${LIBICONV_LIBRARIES}
                      ${LIBINTL_LIBRARIES}
                      )

=== standalone/CMakeLists.txt ===
set(GPY_STANDALONE_SRCS
	main.cpp
)

include_directories(${GOOGLEPINYIN_INCLUDE_DIRS})

add_executable(gpy_standalone ${GPY_STANDALONE_SRCS})

target_link_libraries(gpy_standalone googlepinyin)

=== debian/changelog ===
fcitx-googlepinyin (0.1.5-1) unstable; urgency=low

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Sun, 18 Mar 2012 20:25:22 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 8), cmake, intltool, pkg-config,
  fcitx-libs-dev (>= 1:4.2.0), libgooglepinyin0-dev (>= 0.1.2~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/fcitx
 Vcs-Git: git://git.debian.org/pkg-ime/fcitx-googlepinyin.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ime/fcitx-googlepinyin.git

## fcitx-googlepinyin 0.1.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,13 @@
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 FIND_PACKAGE(Gettext REQUIRED)
 FIND_PACKAGE(Fcitx  4.2.0 REQUIRED)
+FIND_PACKAGE(Googlepinyin REQUIRED)
 FIND_PACKAGE(Libintl REQUIRED)
 FIND_PACKAGE(Libiconv REQUIRED)
+
+string(REGEX REPLACE "^([0-9]+)\\.[0-9]+\\.[0-9]+.*" "\\1" FCITX4_MAJOR_VERSION "${FCITX4_VERSION}")
+string(REGEX REPLACE "^[0-9]+\\.([0-9]+)\\.[0-9]+.*" "\\1" FCITX4_MINOR_VERSION "${FCITX4_VERSION}")
+string(REGEX REPLACE "^[0-9]+\\.[0-9]+\\.([0-9]+).*" "\\1" FCITX4_PATCH_VERSION "${FCITX4_VERSION}")
 
 # uninstall target
 configure_file(

=== data/CMakeLists.txt ===
fcitx_add_addon_conf_file(fcitx-googlepinyin.conf)
fcitx_add_inputmethod_conf_file(googlepinyin.conf)

install(FILES googlepinyin.png RENAME fcitx-googlepinyin.png DESTINATION share/icons/hicolor/48x48/apps)
install(FILES googlepinyin-16.png RENAME fcitx-googlepinyin.png DESTINATION share/icons/hicolor/16x16/apps)
install(FILES googlepinyin.png DESTINATION share/fcitx/imicon RENAME googlepinyin.png)
install(FILES googlepinyin-16.png DESTINATION share/fcitx/skin/default RENAME googlepinyin.png)
install(FILES googlepinyin-16.png DESTINATION share/fcitx/skin/classic RENAME googlepinyin.png)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,5 @@
 set(FCITX_GOOGLEPINYIN_SRCS
     eim.cpp
-    config.cpp
 )
 
 include_directories(

=== debian/changelog ===
fcitx-googlepinyin (0.1.6-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1112893)

 -- Adrian Bunk <bunk@debian.org>  Sun, 26 Oct 2025 23:49:34 +0200

fcitx-googlepinyin (0.1.6-5) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.0. 
  * Bump debhelper compat to v13.

 -- Boyuan Yang <byang@debian.org>  Sun, 05 Sep 2021 13:36:55 -0400

fcitx-googlepinyin (0.1.6-4) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Apply "wrap-and-sort -abst".
    + Update maintainer address and use new input-method team. (Closes: #899855)
    + Update YunQiang Su's email address and use the @debian.org one
    + Bump debhelper compat to v11.
    + Bump Standards-Version to 4.1.5 (no changes needed).
    + Update Vcs fields with new git repo on Salsa platform.
    + Update homepage field with project on GitLab.com.
  * debian/copyright: Refresh copyright information
  * debian/rules: Modernize and use architecture.mk explicitly.
  * debian/watch: watch upstream tarball from fcitx-im.org.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 28 Jul 2018 10:56:24 +0800

fcitx-googlepinyin (0.1.6-3) unstable; urgency=medium

  * Upload to unstable

 -- Aron Xu <aron@debian.org>  Thu, 10 Dec 2015 19:18:27 +0800

fcitx-googlepinyin (0.1.6-2) experimental; urgency=medium

  * Correct debian/watch
  * Add fcitx-bin to B-D
  * Update copyright info
  * Deprecate DMUA
  * Mark as M-A: same
  * Update std-ver to 3.9.6
  * Use canonical VCS-*

 -- Aron Xu <aron@debian.org>  Sat, 13 Dec 2014 13:41:21 +0800

fcitx-googlepinyin (0.1.6-1) unstable; urgency=low

  * New upstream release:
    + Limit input and install icon to avoid crash.

 -- Aron Xu <aron@debian.org>  Mon, 01 Oct 2012 21:10:23 +0800

fcitx-googlepinyin (0.1.5-2) unstable; urgency=low

  * Fix debian/watch: googlecode.
  * Remove unneeded dependency on libgooglepinyin-dev.

 -- YunQiang Su <wzssyqa@gmail.com>  Tue, 15 May 2012 18:18:59 +0800

=== debian/control ===
Source: fcitx-googlepinyin
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Aron Xu <aron@debian.org>,
 YunQiang Su <syq@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 fcitx-bin,
 fcitx-libs-dev (>= 1:4.2.0),
 intltool,
 libgooglepinyin0-dev (>= 0.1.2~),
 pkg-config,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/fcitx/fcitx-googlepinyin
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx-googlepinyin.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx-googlepinyin

Package: fcitx-googlepinyin
Architecture: any
Multi-Arch: same
Depends:
 fcitx-bin,
 fcitx-data (>= 1:4.2.0),
 fcitx-modules,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx (>= 1:4.2.0),
Breaks:
 fcitx (<< 1:4.2.0),
Description: Fcitx wrapper for Google Pinyin IM engine
 fcitx-googlepinyin is a wrapper of Google Pinyin IM engine for Fcitx.
 .
 Google Pinyin is a fork of Google Pinyin on Android, it features
 to have excellent input experience and uses little resource.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND =

include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_makeshlibs:

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

=== debian/watch ===
version=4
opts="" \
 https://download.fcitx-im.org/fcitx-googlepinyin/ \
 fcitx-googlepinyin-?(\d[\d.]*)@ARCHIVE_EXT@ debian uupdate
